## NOTE nonfree only
#
%define piname	oernc_pi

Name:		opencpn-oernc-plugin
Summary:	Plugin for OpenCPN allowing the use of encrypted raster charts
Version:	1.2.5
Release:	%mkrel 3
License:	GPLv2
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/oernc.html
Source0:	%{piname}-%{version}.tar.gz
Source1:    mk-tar
# use mk-tar to download the source0
# See README for distribution permission for pre-built binaries
Patch0:		opencpn-oernc-plugin-1.2.5-mga-armbuilds.patch

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel < 3.1
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Requires:   opencpn-oesenc-plugin
Provides:	%{piname} = %{version}

%description
oeRNC Plugin for OpenCPN allows downloading and installing
raster charts purchased from https://o-charts.org/

These are licensed charts and any purchased charts will be installed 
with appropriate encryption certificates in place.

This package is in the nonfree repository as it contains proprietary binaries.
See README in the package doc directory for the license information.

%prep
%autosetup -p1 -n %{piname}

%build
%cmake

%cmake_build

%install
%cmake_install

# Don't install libsgl provided by oesenc package
rm -f %{buildroot}/%{_bindir}/libsgl*.so

%find_lang opencpn-%{piname}

%files -f opencpn-%{piname}.lang
%doc README
%{_bindir}/*
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/


%changelog
* Thu Jul 22 2021 barjac <barjac> 1.2.5-3.mga9.nonfree
+ Revision: 1737413
- set version limit on wxgtku BR
- fix typo in summary
- dont own %%{_bindir}
+ philippedidier <philippedidier>
- explain the use of mk-tar -refer to README.txt allowing distribution of the closed source binary

* Mon Jul 12 2021 barjac <barjac> 1.2.5-2.mga9.nonfree
+ Revision: 1735757
- Build with wxgtku3.0 not 3.1

* Sat Jun 26 2021 barjac <barjac> 1.2.5-1.mga9.nonfree
+ Revision: 1733891
- new version 1.2.5 from bdbcat
- use wxgtku3.1-devel BR
- dont install lib provided by oesenc
- attempt to patch for CMakeLists.txt arm nonfree builds

* Mon Jun 21 2021 barjac <barjac> 1.1.10-2.mga9.nonfree
+ Revision: 1731652
- Added README
- Minor edit to description

* Mon Jun 21 2021 barjac <barjac> 1.1.10-1.mga9
+ Revision: 1731627
- Edit description and add note about nonfree
- new package opencpn-oernc-plugin

